Subject: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Apr 2022 22:05:02 +0300

>> I've now fixed this regression, but I see there's (at least) one other:
>> In Emacs 27, if the mode: had a mode that's not defined, it just says
>> that it's ignored instead of trying to call it, which seems sensible, so
>> I'll fix that regression, too.
>
> Oh, that was fixed by the same fix.  :-/

emacs-news is a nice mode, but I found another regression:
there are different outline header colors between Emacs 28 and 29
because of different outline levels.  The additional level comes
from the space character at the end of outline-regexp "^\\*+ ".